Index: code/trunk/src/network/ClientConnection.cc
===================================================================
--- code/trunk/src/network/ClientConnection.cc	(revision 1740)
+++ code/trunk/src/network/ClientConnection.cc	(revision 1747)
@@ -45,5 +45,5 @@
 
 #include "util/Sleep.h"
-#include "core/Debug.h"
+#include "util/Debug.h"
 
 namespace network
@@ -91,5 +91,5 @@
     return getPacket(address);
   }*/
-  
+
   ENetEvent *ClientConnection::getEvent(){
     if(!buffer.isEmpty())
Index: code/trunk/src/network/ConnectionManager.cc
===================================================================
--- code/trunk/src/network/ConnectionManager.cc	(revision 1740)
+++ code/trunk/src/network/ConnectionManager.cc	(revision 1747)
@@ -45,4 +45,5 @@
 #include "core/CoreIncludes.h"
 #include "core/BaseObject.h"
+#include "core/Iterator.h"
 #include "objects/SpaceShip.h"
 #include "util/Math.h"
@@ -66,7 +67,7 @@
 {
   //boost::thread_group network_threads;
-  
+
   ConnectionManager *ConnectionManager::instance_=0;
-  
+
   ConnectionManager::ConnectionManager():receiverThread_(0){
     assert(instance_==0);
@@ -77,5 +78,5 @@
   }
   boost::recursive_mutex ConnectionManager::enet_mutex;
-  
+
 //   ConnectionManager::ConnectionManager(ClientInformation *head) : receiverThread_(0) {
 //     assert(instance_==0);
@@ -85,5 +86,5 @@
 //     bindAddress.port = NETWORK_PORT;
 //   }
-  
+
   ConnectionManager::ConnectionManager(int port){
     assert(instance_==0);
@@ -109,5 +110,5 @@
     bindAddress.port = NETWORK_PORT;
   }
-  
+
   ConnectionManager::~ConnectionManager(){
     instance_=0;
@@ -135,5 +136,5 @@
     return packet;
   }*/
-  
+
   ENetEvent *ConnectionManager::getEvent(){
     if(!buffer.isEmpty())
@@ -160,5 +161,5 @@
     return true;
   }
-  
+
 //   bool ConnectionManager::addPacket(Packet::Packet *packet){
 //     ClientInformation *temp = instance_->head_->findClient(packet->getClientID());
@@ -170,6 +171,6 @@
 //     //  TODO: finish implementation
 //   }
-//   
-  
+//
+
   bool ConnectionManager::addPacket(ENetPacket *packet, ENetPeer *peer) {
     boost::recursive_mutex::scoped_lock lock(instance_->enet_mutex);
@@ -276,5 +277,5 @@
     }
   }
-  
+
   //### added some bugfixes here, but we cannot test them because
   //### the server crashes everytime because of some gamestates
@@ -335,6 +336,6 @@
 
   /**
-   * 
-   * @param clientID 
+   *
+   * @param clientID
    */
   void ConnectionManager::syncClassid(unsigned int clientID) {
@@ -364,10 +365,10 @@
   }
 
-  
-  
+
+
   bool ConnectionManager::removeShip(ClientInformation *client){
     unsigned int id=client->getShipID();
-    orxonox::Iterator<orxonox::SpaceShip> it;
-    for(it = orxonox::ObjectList<orxonox::SpaceShip>::start(); it; ++it){
+    orxonox::ObjectList<orxonox::SpaceShip>::iterator it;
+    for(it = orxonox::ObjectList<orxonox::SpaceShip>::begin(); it; ++it){
       if(it->objectID!=id)
         continue;
@@ -376,6 +377,6 @@
     return true;
   }
-  
-  
+
+
   void ConnectionManager::disconnectClient(ClientInformation *client){
     {
@@ -386,5 +387,5 @@
     removeShip(client);
   }
-  
+
 
 }
Index: code/trunk/src/network/GamestateClient.cc
===================================================================
--- code/trunk/src/network/GamestateClient.cc	(revision 1740)
+++ code/trunk/src/network/GamestateClient.cc	(revision 1747)
@@ -33,4 +33,5 @@
 #include "core/CoreIncludes.h"
 #include "core/BaseObject.h"
+#include "core/Iterator.h"
 #include "Synchronisable.h"
 
@@ -68,5 +69,5 @@
     return true;
   }
-  
+
   int GamestateClient::processGamestates(){
     if(tempGamestate_==NULL)
@@ -89,6 +90,6 @@
   * @return iterator pointing to the next object in the list
   */
-  void GamestateClient::removeObject(orxonox::Iterator<Synchronisable> &it) {
-    orxonox::Iterator<Synchronisable> temp=it;
+  void GamestateClient::removeObject(orxonox::ObjectList<Synchronisable>::iterator &it) {
+    orxonox::ObjectList<Synchronisable>::iterator temp=it;
     ++it;
     delete  *temp;
Index: code/trunk/src/network/GamestateClient.h
===================================================================
--- code/trunk/src/network/GamestateClient.h	(revision 1740)
+++ code/trunk/src/network/GamestateClient.h	(revision 1747)
@@ -42,5 +42,5 @@
 
 #include <map>
-// 
+//
 #include "NetworkPrereqs.h"
 #include "core/CorePrereqs.h"
@@ -58,8 +58,8 @@
     GamestateClient();
     ~GamestateClient();
-    
+
     bool add(packet::Gamestate *gs, int clientID);
     bool ack(int gamestateID, int clientID);
-    
+
     int processGamestates();
     packet::Gamestate *getGamestate();
@@ -67,5 +67,5 @@
   private:
     bool processGamestate(packet::Gamestate *gs);
-    void removeObject(orxonox::Iterator<Synchronisable> &it);
+    void removeObject(orxonox::ObjectListIterator<Synchronisable> &it);
     void printGamestateMap();
     bool saveShipCache();
@@ -78,5 +78,5 @@
     orxonox::SpaceShip *myShip_;
     unsigned char *shipCache_;
-    
+
   };
 
Index: code/trunk/src/network/Server.cc
===================================================================
--- code/trunk/src/network/Server.cc	(revision 1740)
+++ code/trunk/src/network/Server.cc	(revision 1747)
@@ -50,4 +50,5 @@
 #include "objects/SpaceShip.h"
 #include "core/ConsoleCommand.h"
+#include "core/Iterator.h"
 #include "packet/Chat.h"
 #include "packet/Packet.h"
@@ -58,5 +59,5 @@
   #define MAX_FAILURES 20;
   #define NETWORK_FREQUENCY 30
-  
+
   /**
   * Constructor for default values (bindaddress is set to ENET_HOST_ANY
@@ -68,5 +69,5 @@
     gamestates_ = new GamestateManager();
   }
-  
+
   Server::Server(int port){
     timeSinceLastUpdate_=0;
@@ -123,5 +124,5 @@
     return message->process();
   }
-  
+
   /**
   * This function sends out a message to all clients
@@ -175,5 +176,5 @@
     return;
   }
-  
+
   bool Server::queuePacket(ENetPacket *packet, int clientID){
     return connection->addPacket(packet, clientID);
@@ -230,5 +231,5 @@
     return p->process();
   }
-  
+
   /**
   * sends the gamestate
@@ -261,5 +262,5 @@
       assert(gs->compressData());
       if ( !gs->send() ){
-        COUT(3) << "Server: packet with client id (cid): " << cid << " not sended: " << temp->getFailures() << std::endl; 
+        COUT(3) << "Server: packet with client id (cid): " << cid << " not sended: " << temp->getFailures() << std::endl;
         temp->addFailure();
       }else
@@ -276,5 +277,5 @@
     return true;
   }
-  
+
 //   void Server::processChat( chat *data, int clientId){
 //     char *message = new char [strlen(data->message)+10+1];
@@ -286,5 +287,5 @@
 //     delete data;
 //   }
-  
+
   bool Server::addClient(ENetEvent *event){
     ClientInformation *temp = ClientInformation::insertBack(new ClientInformation);
@@ -303,5 +304,5 @@
     return createClient(temp->getID());
   }
-  
+
   bool Server::createClient(int clientID){
     ClientInformation *temp = ClientInformation::findClient(clientID);
@@ -325,5 +326,5 @@
     return true;
   }
-  
+
   bool Server::createShip(ClientInformation *client){
     if(!client)
@@ -351,14 +352,14 @@
     no->create();
     no->setBacksync(true);
-    
+
     return true;
   }
-  
+
   bool Server::disconnectClient(ENetEvent *event){
     COUT(4) << "removing client from list" << std::endl;
     //return removeClient(head_->findClient(&(peer->address))->getID());
-    
+
     //boost::recursive_mutex::scoped_lock lock(head_->mutex_);
-    orxonox::Iterator<orxonox::SpaceShip> it = orxonox::ObjectList<orxonox::SpaceShip>::start();
+    orxonox::ObjectList<orxonox::SpaceShip>::iterator it = orxonox::ObjectList<orxonox::SpaceShip>::begin();
     ClientInformation *client = ClientInformation::findClient(&event->peer->address);
     if(!client)
@@ -369,5 +370,5 @@
         continue;
       }
-      orxonox::Iterator<orxonox::SpaceShip> temp=it;
+      orxonox::ObjectList<orxonox::SpaceShip>::iterator temp=it;
       ++it;
       delete  *temp;
@@ -386,4 +387,4 @@
     gamestates_->removeClient(client);
   }
-  
+
 }
Index: code/trunk/src/network/Synchronisable.h
===================================================================
--- code/trunk/src/network/Synchronisable.h	(revision 1740)
+++ code/trunk/src/network/Synchronisable.h	(revision 1747)
@@ -92,5 +92,5 @@
     Synchronisable();
   private:
-    /*  bool removeObject(Iterator<Synchronisable> it);*/
+    /*  bool removeObject(ObjectList<Synchronisable>::iterator it);*/
 
     std::list<synchronisableVariable *> *syncList;
Index: code/trunk/src/network/packet/Gamestate.cc
===================================================================
--- code/trunk/src/network/packet/Gamestate.cc	(revision 1740)
+++ code/trunk/src/network/packet/Gamestate.cc	(revision 1747)
@@ -30,4 +30,5 @@
 #include "network/ClientInformation.h"
 #include "network/GamestateHandler.h"
+#include "core/Iterator.h"
 
 #include <zlib.h>
@@ -79,6 +80,6 @@
   unsigned char *mem=data_;
   mem+=sizeof(GamestateHeader);
-  orxonox::Iterator<Synchronisable> it;
-  for(it = orxonox::ObjectList<Synchronisable>::start(); it; ++it){
+  orxonox::ObjectList<Synchronisable>::iterator it;
+  for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it){
     tempsize=it->getSize2(mode);
 
@@ -86,5 +87,5 @@
       // start allocate additional memory
       COUT(3) << "G.St.Man: need additional memory" << std::endl;
-      orxonox::Iterator<Synchronisable> temp = it;
+      orxonox::ObjectList<Synchronisable>::iterator temp = it;
       int addsize=tempsize;
       while(++temp)
@@ -124,5 +125,5 @@
   unsigned char *mem=data_+sizeof(GamestateHeader);
     // get the start of the Synchronisable list
-  orxonox::Iterator<Synchronisable> it=orxonox::ObjectList<Synchronisable>::start();
+  orxonox::ObjectList<Synchronisable>::iterator it=orxonox::ObjectList<Synchronisable>::begin();
 
   while(mem < data_+sizeof(GamestateHeader)+HEADER->normsize){
@@ -318,7 +319,7 @@
   int size=0;
     // get the start of the Synchronisable list
-  orxonox::Iterator<Synchronisable> it;
+  orxonox::ObjectList<Synchronisable>::iterator it;
     // get total size of gamestate
-  for(it = orxonox::ObjectList<Synchronisable>::start(); it; ++it)
+  for(it = orxonox::ObjectList<Synchronisable>::begin(); it; ++it)
     size+=it->getSize2(mode); // size of the actual data of the synchronisable
 //  size+=sizeof(GamestateHeader);
@@ -331,6 +332,6 @@
  * @return iterator pointing to the next object in the list
  */
-  void Gamestate::removeObject(orxonox::Iterator<Synchronisable> &it) {
-    orxonox::Iterator<Synchronisable> temp=it;
+  void Gamestate::removeObject(orxonox::ObjectList<Synchronisable>::iterator &it) {
+    orxonox::ObjectList<Synchronisable>::iterator temp=it;
     ++it;
     delete  *temp;
Index: code/trunk/src/network/packet/Gamestate.h
===================================================================
--- code/trunk/src/network/packet/Gamestate.h	(revision 1740)
+++ code/trunk/src/network/packet/Gamestate.h	(revision 1747)
@@ -38,5 +38,5 @@
 
 namespace packet {
-  
+
 struct GamestateHeader{
   ENUM::Type packetType;
@@ -51,5 +51,5 @@
 
 /**
-	@author 
+	@author
 */
 class Gamestate: public Packet{
@@ -57,7 +57,7 @@
     Gamestate();
     Gamestate(unsigned char *data, int clientID);
-    
+
     ~Gamestate();
-    
+
     bool collectData(int id, int mode=0x0);
     bool spreadData(int mode=0x0);
@@ -69,15 +69,15 @@
     bool compressData();
     bool decompressData();
-    
+
     // Packet functions
     virtual unsigned int getSize() const;
     virtual bool process();
 
-    
+
   private:
     unsigned int calcGamestateSize(int mode=0x0);
-    void removeObject(orxonox::Iterator<Synchronisable> &it);
+    void removeObject(orxonox::ObjectListIterator<Synchronisable> &it);
 
-    
+
     //Bytestream *bs_;
     //GamestateHeader *header_;
